import { Directive, ElementRef, Injectable, NgModule } from '@angular/core';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/* global Reflect, Promise */







function __decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}



function __metadata(metadataKey, metadataValue) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
}

var EmptyTextService = (function () {
    function EmptyTextService() {
        this.emptyTextDisplay = "empty";
    }
    EmptyTextService.prototype.get = function () {
        return this.emptyTextDisplay;
    };
    EmptyTextService.prototype.set = function (emptyTextDisplay) {
        this.emptyTextDisplay = emptyTextDisplay;
    };
    EmptyTextService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [])
    ], EmptyTextService);
    return EmptyTextService;
}());

var EmptyTextDirective = (function () {
    function EmptyTextDirective(el, empservice) {
        this.el = el;
        this.empservice = empservice;
    }
    EmptyTextDirective.prototype.ngAfterViewInit = function () {
        var content = this.el.nativeElement.innerHTML;
        if (!content) {
            this.el.nativeElement.innerHTML = this.empservice.get();
        }
    };
    EmptyTextDirective = __decorate([
        Directive({ selector: '[emptytext]' }),
        __metadata("design:paramtypes", [ElementRef,
            EmptyTextService])
    ], EmptyTextDirective);
    return EmptyTextDirective;
}());

var EmptyTextModule = (function () {
    function EmptyTextModule() {
    }
    EmptyTextModule = __decorate([
        NgModule({
            imports: [],
            exports: [EmptyTextDirective],
            declarations: [EmptyTextDirective],
            providers: [EmptyTextService],
        })
    ], EmptyTextModule);
    return EmptyTextModule;
}());

export { EmptyTextModule, EmptyTextDirective, EmptyTextService };
//# sourceMappingURL=empty-text.esm.js.map
